<?php

/**
 * Live Estate - Joomla Template
 *
 * @package bt_liveestate
 * @version 1.0.0.20070903
 * @copyright BonusThemes.com 2007
 * @link http://www.bonusthemes.com/goto/bt_liveestate
 */

defined( '_VALID_MOS' ) or die( 'Restricted access' );
$cfg = array();


// CONFIGURATION START ////////////////////////////////////////////////////////

// Width for position 'header'
// Set a valid value for a CSS size, or blank if you do not want to set a width.
// Examples: '500px' sets a value in pixels, '20%' sets a value in percentage, '' does not set a width.
// This is necessary for MS Internet Explorer. It can also be defined in the #pos_header entry in template_css.css
$cfg['pos_header_width'] = '270px';

// Width for position 'bottom'
// Set a valid value for a CSS size, or blank if you do not want to set a width.
// Examples: '500px' sets a value in pixels, '20%' sets a value in percentage, '' does not set a width.
// This is necessary for MS Internet Explorer. It can also be defined in the #pos_bottom entry in template_css.css
$cfg['pos_bottom_width'] = '200px';

// CONFIGURATION END //////////////////////////////////////////////////////////

$iso = explode( '=', _ISO );
echo '<?xml version="1.0" encoding="' . $iso[1] . '"?' . '>' . "\n";

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<?php
	mosShowHead();

	if ( $my->id ) {
		initEditor();
	}

	$template_path = $mosConfig_live_site . '/templates/' . $mainframe->getTemplate();
?>
<meta http-equiv="Content-Type" content="text/html; <?php echo _ISO; ?>" />

<link id="css_content" href="<?php echo $template_path; ?>/css/content.css" rel="stylesheet" type="text/css" />
<link id="css_layout" href="<?php echo $template_path; ?>/css/template_css.css" rel="stylesheet" type="text/css" />

<!--[if IE]>
<style type="text/css">
#pos_banner, #pos_footer {
	float: left;
}
</style>
<![endif]-->

<!--[if lt IE 7]>
<link href="<?php echo $template_path; ?>/css/template_css_ie6.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var blankImg = '<?php echo $template_path; ?>/images/blank.gif';
</script>
<style type="text/css">
.pngfix { behavior: url(<?php echo $template_path; ?>/js/iepngfix.htc); }
</style>
<![endif]-->

</head>

<body>

<?php

	echo '<div id="page_top"></div>' . "\n";

	echo '<div id="wrapper">' . "\n";

	// output positions: banner + header
	if (mosCountModules( 'banner' ) + mosCountModules( 'header' ) > 0) {
		echo '	<div id="header">' . "\n";
		if (mosCountModules( 'header' )) {
			$width = empty($cfg['pos_header_width']) ? '' : ' style="width:' . $cfg['pos_header_width'] . '"';
			echo '		<div id="pos_header"' . $width . '>' . "\n";
			mosLoadModules( 'header', -2 );
			echo '		</div>' . "\n";
		}

		if (mosCountModules( 'banner' )) {
			echo '		<div id="pos_banner">' . "\n";
			mosLoadModules( 'banner', -2 );
			echo '		</div>' . "\n";
		}

		echo '		<div style="clear:both"></div>' . "\n";
		echo '	</div>' . "\n";
	}

	// output position: top
	if (mosCountModules( 'top' ) > 0) {
		echo '	<div id="pos_top">' . "\n";
		mosLoadModules( 'top', -1 );
		echo '</div>' . "\n";
	}

	// output page content
	echo '	<div id="page_content">' . "\n";

	// output position: left
	echo '		<div id="pos_left">' . "\n";
	mosLoadModules( 'left', -2 );
	echo '		</div>' . "\n";
	
	echo '		<div id="left_gap">&nbsp;</div>' . "\n";
	
	// output content
	echo '		<div id="content_area">' . "\n";

	// output pathway
	if ($option != 'com_frontpage') {
		echo '			<div id="pathway">' . "\n";
		mosPathWay();
		echo '			</div>' . "\n";
	}

	// output mainbody
	echo '			<div id="mainbody">' . "\n";
	mosMainBody();
	echo '			</div>' . "\n";

	// output positions: user1 + user2
	$user_positions_count = mosCountModules( 'user1' ) + mosCountModules( 'user2' );
	if ($user_positions_count > 0) {
		$user_pos_width = $user_positions_count == 1 ? 445 : 209; // 209 + 27 + 209 = 445

		$splitter = $user_positions_count == 1 ? '' : ' style="background:url(' . $template_path . '/images/imgCntSplitter.gif) repeat-y top center;"';
		echo '			<div id="user_positions"' . $splitter . '>' . "\n";

		if (mosCountModules( 'user1' ) > 0) {
			echo '				<div id="pos_user1" style="width:' . $user_pos_width . 'px">' . "\n";
			mosLoadModules( 'user1', -2 );
			echo '				</div>' . "\n";
		}

		if ($user_positions_count > 1) {
			echo '				<div id="user_pos_gap">&nbsp;</div>' . "\n";
		}

		if (mosCountModules( 'user2' ) > 0) {
			echo '				<div id="pos_user2" style="width:' . $user_pos_width . 'px">' . "\n";
			mosLoadModules( 'user2', -2 );
			echo '				</div>' . "\n";
		}

		echo '				<div style="clear:both"></div>' . "\n";
		echo '			</div>' . "\n";
	}

	echo '		</div>' . "\n";
	echo '		<div style="clear:both"></div>' . "\n";
	echo '	</div>' . "\n";

	// output positions: footer + bottom
	if (mosCountModules( 'footer' ) + mosCountModules( 'bottom' ) > 0) {
		echo '	<div id="bottom">' . "\n";
		if (mosCountModules( 'bottom' )) {
			$width = empty($cfg['pos_bottom_width']) ? '' : ' style="width:' . $cfg['pos_bottom_width'] . '"';
			echo '		<div id="pos_bottom"' . $width . '>' . "\n";
			mosLoadModules( 'bottom', -2 );
			echo '		</div>' . "\n";
		}

		if (mosCountModules( 'footer' )) {
			echo '		<div id="pos_footer">' . "\n";
			mosLoadModules( 'footer', -2 );
			echo '		</div>' . "\n";
		}

		echo '		<div style="clear:both"></div>' . "\n";
		echo '	</div>' . "\n";
	}

	echo '</div>' . "\n";

	// output hidden position
	echo '<div id="pos_user9" style="display:none">' . "\n";
	mosLoadModules( 'user9', -1 );
	echo '</div>' . "\n";

	// output debug position
	mosLoadModules( 'debug', -1 );
?>
<?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                                                                                                                                                            <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
<?php } ?> 
</body>

</html>